[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: make -q and maintainer-makefile issues?

From: Eric Blake
Subject: Re: make -q and maintainer-makefile issues?
Date: Thu, 11 Aug 2011 19:49:59 -0600
User-agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv: Gecko/20110621 Fedora/3.1.11-1.fc14 Lightning/1.0b3pre Mnenhy/0.8.3 Thunderbird/3.1.11

On 08/11/2011 07:45 PM, Paul Eggert wrote:
On 08/11/2011 11:28 AM, Paul Eggert wrote:
I'll look at coreutils shortly.

... and I discovered that coreutils was still using gettext 0.17 (!)

To some degree, that was intentional. At least cygwin still ships with only gettext 0.17, because all versions of 0.18 are unbuildable on the current cygwin.

Pushing this change makes it impossible to do a bootstrap of coreutils on cygwin. :(

* bootstrap.conf (gnulib_modules): Use gettext, not gettext-h.

'gettext' is used when you want bleeding edge, and requires 0.18.1. 'gettext-h' is when you don't care about bleeding edge, and instead want to be portable to distros that are still at 0.17 (this includes popular distros like RHEL 5 and CentOS 5). I'm not sure if we should revert this part of your change.

Eric Blake   address@hidden    +1-801-349-2682
Libvirt virtualization library

reply via email to

[Prev in Thread] Current Thread [Next in Thread]